Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.exceptions
[Groovy] Interface CodeSnippetPrinter

    interface CodeSnippetPrinter

Interfaces for classes to implement that print code snippets

Authors:
  Graeme Rocher

Since:
  2.2

Method Summary
`java.lang.String` | `prettyPrintCodeSnippet(java.lang.Throwable exception)` Attempts to present a preview code snippet of the code that went wrong

Method Detail

### prettyPrintCodeSnippet

    java.lang.String prettyPrintCodeSnippet(java.lang.Throwable exception)

  Attempts to present a preview code snippet of the code that went wrong
  Parameters:
    `exception` - The exception
  Returns:
    The code snippet or nothing if it can't be previewed

Groovy Documentation